POST /discord/channels/{channelId}/threads

Create a public thread from messageId, or a standalone one (needs Create Public Threads)

POST
/discord/channels/{channelId}/threads

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

channelId*string

Discord channel id (snowflake)

Query Parameters

accountId*string

Discord account id bound to this server (or the channel's server)

Request Body

application/json
  1. body
name*string
Lengthlength <= 100
messageId?string
autoArchiveDuration?integer
Value in601440432010080

Response Body

Done

application/json
  1. response
data?
Example Request
curl -X POST 'https://example.com/api/v1/discord/channels/string/threads?accountId=string' \  -H 'Content-Type: application/json' \  -d '{  "name": "string"}'
Example Response
{  "data": {    "id": "string",    "name": "string"  }}